services:
    Chill\TaskBundle\Timeline\TaskLifeCycleEventTimelineProvider:
        arguments:
            $em: '@Doctrine\ORM\EntityManagerInterface'
            $registry: '@Symfony\Component\Workflow\Registry'
            $authorizationHelper: '@Chill\MainBundle\Security\Authorization\AuthorizationHelper'
            $security: '@Symfony\Component\Security\Core\Security'
        public: true
        tags:
            - { name: 'chill.timeline', context: 'person' }
            - { name: 'chill.timeline', context: 'center' }
            
    Chill\TaskBundle\Timeline\SingleTaskTaskLifeCycleEventTimelineProvider:
        arguments:
            $em: '@Doctrine\ORM\EntityManagerInterface'
            $registry: '@Symfony\Component\Workflow\Registry'
        tags:
            - { name: 'chill.timeline', context: 'task' }
